XISUITEDokumentation

Board Swimlanes

5 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List swimlanes for a board#

GET/boards/{boardId}/swimlanesToken

Parameter

NameOrtTypBeschreibung
boardIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/swimlanes" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a swimlane#

POST/boards/{boardId}/swimlanesToken

Parameter

NameOrtTypBeschreibung
boardIdPflichtPfadstring–

Request-Bodyapplication/jsonCreateSwimlaneDto

NameTypBeschreibung
namePflichtstring

Beispiel: High Priority

queryobject

Beispiel: priority:urgent

descriptionobject

Beispiel: Tasks requiring immediate attention

sort_ordernumber

Beispiel: 0

is_defaultboolean

Standard: false

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/swimlanes" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"High Priority"}'

Update a swimlane#

PATCH/boards/{boardId}/swimlanes/{swimlaneId}Token

Parameter

NameOrtTypBeschreibung
boardIdPflichtPfadstring–
swimlaneIdPflichtPfadstring–

Request-Bodyapplication/jsonUpdateSwimlaneDto

NameTypBeschreibung
namestring

Beispiel: High Priority

queryobject–
descriptionobject–
sort_ordernumber

Beispiel: 1

is_defaultboolean–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/swimlanes/{swimlaneId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"High Priority","query":{},"description":{}}'

Delete a swimlane (non-default only)#

DELETE/boards/{boardId}/swimlanes/{swimlaneId}Token

Parameter

NameOrtTypBeschreibung
boardIdPflichtPfadstring–
swimlaneIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/swimlanes/{swimlaneId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Reorder swimlanes#

PUT/boards/{boardId}/swimlanes/reorderToken

Parameter

NameOrtTypBeschreibung
boardIdPflichtPfadstring–

Request-Bodyapplication/jsonReorderSwimlanesDto

NameTypBeschreibung
swimlanesPflichtSwimlaneOrderItemDto[]–
swimlanes[].idPflichtstring–
swimlanes[].sort_orderPflichtnumber–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/swimlanes/reorder" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"swimlanes":[]}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions